TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.RVQueuePolicy Class Reference

This class represents the discard policy of the TIBCO Rendezvous queues used internally by the TIBCO EMS Server when importing messages from TIBCO Rendezvous. More...

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
PolicyType | Policy`[get]`
| Returns the policy of this discard policy. More...
string | PolicyName`[get]`
| Returns a string representation of the discard policy. More...
int | MaxEvents`[get]`
| The maximum number of messages that the TIBCO RV queue can hold before starting to discard messages. More...
int | DiscardAmount`[get]`
| When the TIBCO RV queue exceeds its maximum message limit, discard a block of messages. This value is the number of messages to discard. More...

## Detailed Description

This class represents the discard policy of the TIBCO Rendezvous queues used internally by the TIBCO EMS Server when importing messages from TIBCO Rendezvous.

Each transport uses a TIBCO RV queue, and therefore a discard policy can be defined per transport. The default policy, if omitted, is TIBCO.EMS.ADMIN.PolicyType.TIBRVQUEUE_DISCARD_NONE, which means that no message is ever discarded.

Note that in a fast producer situation, this can lead to a rapid TIBCO EMS process memory growth since the internal TIBCO RV queue may hold a lot of RV messages waiting to be processed as EMS messages. Specifying a discard policy other than `TIBRVQUEUE_DISCARD_NONE` causes excess TIBCO RV messages to be discarded, and therefore not imported by the TIBCO EMS Server, but help prevents unbound memory growth.

Since EMS 5.0

## Member Function Documentation

override string TIBCO.EMS.ADMIN.RVQueuePolicy.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

int TIBCO.EMS.ADMIN.RVQueuePolicy.DiscardAmount
| get

When the TIBCO RV queue exceeds its maximum message limit, discard a block of messages. This value is the number of messages to discard.

Returns
  the number of messages to discard when the RV queue exceeds its maximum event limit, or 0 if policy is TIBCO.EMS.ADMIN.PolicyType.TIBRVQUEUE_DISCARD_NONE

int TIBCO.EMS.ADMIN.RVQueuePolicy.MaxEvents
| get

The maximum number of messages that the TIBCO RV queue can hold before starting to discard messages.

Returns
  the number of events (messages) that the RV Queue can hold, or 0 if policy is TIBCO.EMS.ADMIN.PolicyType.TIBRVQUEUE_DISCARD_NONE

PolicyType TIBCO.EMS.ADMIN.RVQueuePolicy.Policy
| get

Returns the policy of this discard policy.

Returns
  the policy of this discard policy

string TIBCO.EMS.ADMIN.RVQueuePolicy.PolicyName
| get

Returns a string representation of the discard policy.

Returns
  the name of the discard policy